Update a tire set
curl --request PUT \
--url https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/tire-sets/{tiresetId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Winter tires",
"frontAxle": {
"model": "PIRELLI P-ZERO",
"size": "235/35 R20 Y",
"firstMountDate": "2022-04-24",
"mileage": 9560
},
"rearAxle": {
"model": "PIRELLI P-ZERO",
"size": "235/35 R20 Y",
"firstMountDate": "2022-04-24",
"mileage": 9560
},
"note": "<string>"
}
'import requests
url = "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/tire-sets/{tiresetId}"
payload = {
"title": "Winter tires",
"frontAxle": {
"model": "PIRELLI P-ZERO",
"size": "235/35 R20 Y",
"firstMountDate": "2022-04-24",
"mileage": 9560
},
"rearAxle": {
"model": "PIRELLI P-ZERO",
"size": "235/35 R20 Y",
"firstMountDate": "2022-04-24",
"mileage": 9560
},
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Winter tires',
frontAxle: {
model: 'PIRELLI P-ZERO',
size: '235/35 R20 Y',
firstMountDate: '2022-04-24',
mileage: 9560
},
rearAxle: {
model: 'PIRELLI P-ZERO',
size: '235/35 R20 Y',
firstMountDate: '2022-04-24',
mileage: 9560
},
note: '<string>'
})
};
fetch('https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/tire-sets/{tiresetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"title": "Winter tires",
"frontAxle": {
"model": "PIRELLI P-ZERO",
"size": "235/35 R20 Y",
"firstMountDate": "2022-04-24",
"mileage": 9560
},
"rearAxle": {
"model": "PIRELLI P-ZERO",
"size": "235/35 R20 Y",
"firstMountDate": "2022-04-24",
"mileage": 9560
},
"note": "<string>",
"storageReports": [
{
"id": "<string>",
"frontAxle": {
"model": "<string>",
"size": "<string>",
"mileage": 123,
"treadDepth": 123
},
"rearAxle": {
"model": "<string>",
"size": "<string>",
"mileage": 123,
"treadDepth": 123
},
"note": "<string>",
"dismountDate": "2025-04-24",
"depotAddress": "<string>",
"depotPhone": "<string>",
"depotEmail": "jsmith@example.com",
"blob": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"uploaded": false
}
}
],
"invoices": [
{
"id": "<string>",
"blob": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"uploaded": false
}
}
]
}Tire sets
Update a tire set
Update the selected tire set of the specified vehicle
PUT
/
api
/
fleets
/
v1
/
{assetProviderCountryCode}
/
{assetProviderCode}
/
{vehicleId}
/
tire-sets
/
{tiresetId}
Update a tire set
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Asset provider country code
Required string length:
2Asset provider code
Required string length:
3The assetId of the vehicle
The tire set ID
Body
application/json
Tire set that should replace the one under the specified id
Response
Updated tire set
Available options:
Mounted, Dismounted, Archived Example:
"Winter tires"
Available options:
Summer, Winter, All-weather Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

